Retrieves all db Reports

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

db_report
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_report_type_id

db report type id

globally unique identifier

Required

user_id

Created user id

globally unique identifier
company_id

The Final company that own this report (If WO Report, the company that owns the installation/project)

globally unique identifier

Optionally required : company_id,company_code or node company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating db_report

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating db_report

company

Optionally required : company_id, company_code or company must be provided

db_table_name

TableName which db report linked to. Possible value are jobs or meeting

string

Optionally required : db_table_id or db_table_name must be provided

db_table_id

Table ID which db report linked to.

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id of the table which db report linked to

globally unique identifier
date_last_update

Date last updated

date
reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e917ae81-cf2f-429d-8492-87ae9fe54c0c",
  "db_report_type_id": "a7ae406a-5a87-4900-b68b-b4291c74b88b",
  "user_id": "6b7e2fe7-9c64-4e00-9468-a1b41ba24098",
  "company_id": "9c26a88a-9160-42ba-88e0-ee8f7b4f3b78",
  "company_code": "sample string 5",
  "db_table_name": "sample string 6",
  "db_table_id": "cb97caaf-5ccd-475c-99f7-629a11c3554b",
  "id_in_table": "0c895b66-cb5f-41fc-abfa-f690bb077fd4",
  "date_last_update": "2026-11-13T21:02:25.2750238+00:00",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-11-13T21:02:25.2750238+00:00"
}